/**
 * Regexes for arguments
 */
/**
 * Regex for user argument type that matches users by id
 * @raw `/^(?:<@!?)?([0-9]+)>?$/`
 */
export declare const userRegexp: RegExp;
/**
 * Regex for role argument type that matches roles by id
 * @raw `/^(?:<@&)?([0-9]+)>?$/
 */
export declare const roleRegexp: RegExp;
/**
 * Regex for channel argument type that matches channels by id
 * @raw `/^(?:<#)?([0-9]+)>?$/`
 */
export declare const channelRegexp: RegExp;
/**
 * Regex for mentionable argument type
 * @see {@link userRegexp} for user argument type
 * @see {@link roleRegexp} for role argument type
 * @raw `/^(?:<@!?)?(?:<@&?)?([0-9]+)>?$/`
 */
export declare const mentionableRegexp: RegExp;
/**
 * Regex for command and option names
 * @raw `/^[a-zA-Z1-9\s]/`
 */
export declare const commandAndOptionNameRegexp: RegExp;
//# sourceMappingURL=regexes.d.ts.map