"use strict";
/**
 * Regexes for arguments
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandAndOptionNameRegexp = exports.mentionableRegexp = exports.channelRegexp = exports.roleRegexp = exports.userRegexp = void 0;
/**
 * Regex for user argument type that matches users by id
 * @raw `/^(?:<@!?)?([0-9]+)>?$/`
 */
exports.userRegexp = /^(?:<@!?)?([0-9]+)>?$/;
/**
 * Regex for role argument type that matches roles by id
 * @raw `/^(?:<@&)?([0-9]+)>?$/
 */
exports.roleRegexp = /^(?:<@&)?([0-9]+)>?$/;
/**
 * Regex for channel argument type that matches channels by id
 * @raw `/^(?:<#)?([0-9]+)>?$/`
 */
exports.channelRegexp = /^(?:<#)?([0-9]+)>?$/;
/**
 * Regex for mentionable argument type
 * @see {@link userRegexp} for user argument type
 * @see {@link roleRegexp} for role argument type
 * @raw `/^(?:<@!?)?(?:<@&?)?([0-9]+)>?$/`
 */
exports.mentionableRegexp = /^(?:<@!?)?(?:<@&?)?([0-9]+)>?$/;
/**
 * Regex for command and option names
 * @raw `/^[a-zA-Z1-9\s]/`
 */
exports.commandAndOptionNameRegexp = /^[a-zA-Z1-9\s]/;
